LPCOpen Platform for LPC18XX/43XX microcontrollers: C:/w/lpcopen_docs/software/lpc_core/lpc_chip/chip_common/rtc_ut.c File Reference

| LPCOpen Platform for LPC18XX/43XX microcontrollers 18XX43XX LPCOpen Platform for the NXP LPC18XX/43XX family of Microcontrollers

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Macros | Functions | Variables
rtc_ut.c File Reference
`#include "rtc_ut.h"`

Go to the source code of this file.

## Macros
#define | SECSPERMIN (60)
#define | MINSPERHOUR (60)
#define | SECSPERHOUR (SECSPERMIN * MINSPERHOUR)
#define | HOURSPERDAY (24)
#define | SECSPERDAY (SECSPERMIN * MINSPERHOUR * HOURSPERDAY)
#define | DAYSPERWEEK (7)
#define | MONETHSPERYEAR (12)
#define | DAYSPERYEAR (365)
#define | DAYSPERLEAPYEAR (366)

## Functions
static void | GetDMLY (int dayOff, struct tm *pTime)
void | ConvertRtcTime (uint32_t rtcTick, struct tm *pTime)
| Converts a RTC tick time to Universal time. More...
void | ConvertTimeRtc (struct tm *pTime, uint32_t *rtcTick)
| Converts a Universal time to RTC tick time. More...

## Variables
static uint8_t | daysPerMonth [2][MONETHSPERYEAR]

## Macro Definition Documentation

#define DAYSPERLEAPYEAR (366)

Definition at line 48 of file rtc_ut.c.

#define DAYSPERWEEK (7)

Definition at line 45 of file rtc_ut.c.

#define DAYSPERYEAR (365)

Definition at line 47 of file rtc_ut.c.

#define HOURSPERDAY (24)

Definition at line 43 of file rtc_ut.c.

#define MINSPERHOUR (60)

Definition at line 41 of file rtc_ut.c.

#define MONETHSPERYEAR (12)

Definition at line 46 of file rtc_ut.c.

#define SECSPERDAY (SECSPERMIN * MINSPERHOUR * HOURSPERDAY)

Definition at line 44 of file rtc_ut.c.

#define SECSPERHOUR (SECSPERMIN * MINSPERHOUR)

Definition at line 42 of file rtc_ut.c.

#define SECSPERMIN (60)

Definition at line 40 of file rtc_ut.c.

## Function Documentation

static void GetDMLY | ( | int | dayOff,
|  | struct tm * | pTime
| ) |  |
| static

Definition at line 66 of file rtc_ut.c.

## Variable Documentation

uint8_t daysPerMonth[2][MONETHSPERYEAR]
| static

Initial value:
= {
{31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31},
{31, 29, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31},
}

Definition at line 51 of file rtc_ut.c.